#include "stdlib.h"
#define SIZEX 20
#define SIZEY 20

static const double sqr2by2=0.7071;

static double tab[SIZEX][SIZEY];
double z;
int x,y;

int lastx=0, lasty=0;

dot3d(double x,double y,double z)
{
	lastx=0.5+x+y*sqr2by2; lasty=0.5+y*sqr2by2+z;
	curset(lastx,199-lasty,1);
}

line3d(double x,double y,double z)
{
	int newx=0.5+x+y*sqr2by2, newy=0.5+y*sqr2by2+z;
	draw(newx-lastx,-newy+lasty,1);
	lastx=newx; lasty=newy;
}

main()
{
	hires();
	for (x=0;x<SIZEX;x++)
	    for (y=0;y<SIZEY;y++) 
		tab[x][y]=5*(x+1.0)/(y+1.0);

	for (x=0;x<SIZEX;x++) {
	    dot3d(x*10,0,tab[x][0]);
	    for (y=1;y<SIZEY;y++) 
		line3d(x*10,y*10,tab[x][y]);
	}
	for (y=0;y<SIZEY;y++) {
	    dot3d(0,y*10,tab[0][y]);
	    for (x=1;x<SIZEX;x++)
		line3d(x*10,y*10,tab[x][y]);
	}
}
