#include <stdlib.h>
#include <stdio.h>
#include <strings.h>
#include <sys/oric.h>
#include <sys/graphics.h>


char s1[128], s2[128];


void
prompt()
{
     printf("Press any key...");
     getchar();
     cls();
}

void
main()
{
     setflags(getflags()|UNPROTECT);
     cls();
     printf("Test of string functions...\n\n");
     printf("strcpy(s1,\"%s\") =\n \033B\"%s\"\n",
          s1,strcpy(s1,"Oric "));
     printf("strcpy(s2,\"%s\") =\n \033B\"%s\"\n",
          s2,strcpy(s2,"C Compiler."));
     printf("strlen(s1) =\n \033B%d\n",strlen(s1));
     printf("strlen(s2) =\n \033B%d\n",strlen(s2));

     {
          char *s=stpcpy(s2,"C Compiler.");
          printf("stpcpy(s2,\"%s\") =\n \033B(char*)%d,",s2,s);
          printf("\033Gs2 =\033B(char*)%d\n",s2);
     }

     printf("strcat(s1,s2) =\n \033B\"%s\"\n",strcat(s1,s2));

     printf("strchr(s1,'C') =\n \033B\"%s\"\n",strchr(s1,'C'));
     printf("strchr(s1,'z') =\n \033B%d\n",strchr(s1,'z'));

     printf("strrchr(s1,'C') =\n \033B\"%s\"\n",strrchr(s1,'C'));
     printf("strrchr(s1,'z') =\n \033B%d\n",strrchr(s1,'z'));

     prompt();

     printf("strcmp(s2,\"C Compiler.\") =\n \033B%d\n",
          strcmp(s2,"C Compiler."));

     printf("strcmpi(s2,\"c compiler.\") =\n \033B%d\n",
          strcmpi(s2,"c compiler."));

     printf("strcmpi(s2,\"SIX RUBBER DUCKS.\") =\n \033B%d\n",
          strcmpi(s2,"SIX RUBBER DUCKS."));

     printf("strcspn(s1,\"ABC\") =\n \033B%d\n",strcspn(s1,"ABC"));
     printf("strspn(s1,\"CciOr \") =\n \033B%d\n",strspn(s1,"CciOr "));

     printf("strpbrk(s1,\"ABC\") =\n \033B\"%s\"\n",strpbrk(s1,"ABC"));

     printf("strlwr(s1) =\n \033B\"%s\"\n",strlwr(s1));

     printf("strupr(s1) =\n \033B\"%s\"\n",strupr(s1));

     printf("strrev(s1) =\n \033B\"%s\"\n",strrev(s1));
     strrev(s1);

     printf("strset(s2,'*') =\n \033B\"%s\"\n",strset(s2,'*'));

     prompt();

     printf("strcpy(s1,\"%s\") =\n \033B\"%s\"\n",
          s1,strcpy(s1,"Oric C Compiler."));
     printf("strcpy(s2,\"%s\") =\n \033B\"%s\"\n",
          s2,strcpy(s2,"C Compiler."));
     printf("strstr(s1,s2) =\n \033B\"%s\"\n",strstr(s1,s2));
     printf("strstr(s1,\"Comp\") =\n \033B\"%s\"\n",strstr(s1,"Comp"));
     printf("strstr(s1,\"foo\") =\n \033B(char*)%d\n",strstr(s1,"foo"));

     prompt();

     printf("strcpy(s1,\"%s\") =\n \033B\"%s\"\n",
          s1,strcpy(s1,"12,234,abc,foo bar,plink.end"));
     {
          char *cp=strtok(s1,",. ");
          int i=1;

          printf("strtok() test...\n");
          while(cp){
               printf("Token #%d = \"%s\" == (char*)%d\n",i++,cp,cp);
               cp=strtok(NULL,",. ");
               if(i>20)break;
          }
          printf("Terminating token pointer = (char*)%d\n",cp);
     }

     prompt();


     printf("strcpy(s1,\"%s\") =\n \033B\"%s\"\n",
          s1,strcpy(s1,"Feed the "));

     printf("strncat(s1,\"catacombs\",3) =\n \033B\"%s\"\n",
          strncat(s1,"catacombs",3));

     printf("strncmp(\"cat\",\"catacombs\",3) =\n \033B%d\n",
          strncmp("cat","catacombs",3));
     printf("strncmp(\"cat\",\"catacombs\",4) =\n \033B%d\n",
          strncmp("cat","catacombs",4));

     printf("strncmpi(\"cat\",\"CATACOMBS\",3) =\n \033B%d\n",
          strncmpi("cat","CATACOMBS",3));
     printf("strncmpi(\"cat\",\"CATACOMBS\",4) =\n \033B%d\n",
          strncmpi("cat","CATACOMBS",4));
     printf("strncmpi(\"cat\",\"SALAMI\",99) =\n \033B%d\n",
          strncmpi("cat","SALAMI",99));


     {
          int i;
          for(i=0;i<80;i++)s1[i]=0;
     }

     printf("strncpy(s1,\"Feed the catacombs.\",12) =\n \033B\"%s\"\n",
          strncpy(s1,"Feed the catacombs.",12));

     printf("strncpy(s1,\"Feed the cat.\",999) =\n \033B\"%s\"\n",
          strncpy(s1,"Feed the cat.",999));


     printf("strnset(s1,'*',4) =\n \033B\"%s\"\n",
          strnset(s1,'*',4));
}
